//
//  MPPositive_AdModelModel.swift
//  relax.offline.mp3.music
//
//  Created by Mr.Zhou on 2024/7/10.
//

import UIKit
///广告模型
class MPPositive_AdModelModel: NSObject, Codable {
    ///阶级（从高到低）
    var level:Int
    ///id内容
    var identifier:String
    ///广告商
    var ad:String
    ///广告类型
    var type:MPPositive_AdModelType
    init(level: Int, identifier: String, ad: String, type:MPPositive_AdModelType) {
        self.level = level
        self.identifier = identifier
        self.ad = ad
        self.type = type
    }
}
enum MPPositive_AdModelType: String, Codable {
    ///开屏
    case Open = "Open"
    ///插页
    case Insert = "Insert"
    ///原生
    case Native = "Native"
}
